# GNUmed database system German language pack bootstrapping config file
#----------------------------------------------------------------------
# license: GPL v2 or later
# author: Karsten Hilbert@gmx.net

#----------------------------------
[revision control]
file = $Source: /home/ncq/Projekte/cvs2git/vcs-mirror/gnumed/gnumed/server/bootstrap/bootstrap-ca.conf,v $
version = $Revision: 1.12 $

#----------------------------------
[installation]

interactive = no

keep temp files = no

description = $description$
This script installs data into a GNUmed database system in
order to localise GNUmed for Canada.

The core database schema must have been imported into a database
"gnumed" already. Also, the user gm-dbo must exist.

$description$

bundles = $bundles$
demographics-ca
$bundles$

#----------------------------------
# bundles
#----------------------------------
[bundle demographics-ca]
database alias = core
minimum postgresql version = 7.4
schema base directory = ../sql/country.specific/ca/
schema = $schema$
gmDemographics-Data.ca.sql
$schema$

#----------------------------------
# databases
#----------------------------------
[database core]
name = gnumed_v2
override name by = GM_CORE_DB
template database = template1
drop target database = 0
use existing target database = 1
server alias = local host
audit disable = 1
schema base directory = ../sql/
schema = $schema$
$schema$

#----------------------------------
# servers
#----------------------------------
[server local host]
name = 
port = 5432
template database = template1
super user alias = postgres
schema = $schema$
$schema$

#----------------------------------
# users
#----------------------------------
[user GNUmed owner]
name = gm-dbo
password =

[user postgres]
name = postgres

#----------------------------------
# these really shouldn't be changed
#----------------------------------
[GnuMed defaults]

database owner alias = GNUmed owner

groups = $groups$
$groups$

#----------------------------------
# $Log: bootstrap-ca.conf,v $
# Revision 1.12  2008-08-28 12:07:27  ncq
# - bump database name to gnumed_v2
# - add options necessary for one-step bootstrapping
#
# Revision 1.11  2007/02/06 12:12:29  ncq
# - interactive yes -> no
#
# Revision 1.10  2006/12/29 16:28:25  ncq
# - "service" -> "bundle", no more services
# - remove "name" and "version" on previous "service" groups
#
# Revision 1.9  2006/12/29 13:56:50  ncq
# - bump required PG version to 7.4
# - remove procedural languages options
# - include gmCreateProceduralLanguages.sql in database level superuser schema import
#
# Revision 1.8  2006/09/17 07:02:00  ncq
# - we don't register services anymore
#
# Revision 1.7  2006/05/24 12:51:13  ncq
# - standarize on only '' being local domain sockets connections
#
# Revision 1.6  2006/05/08 12:38:47  ncq
# - make password parameter sane:
#   - missing or commented out means: not needed, eg IDENT or TRUST
#   - empty means: ask user if interactive or leave empty (but log warning) if not interactive
#
# Revision 1.5  2006/05/07 16:09:04  shilbert
# - cleanup
#
# Revision 1.4  2006/05/06 18:49:44  ncq
# - GnuMed -> GNUmed
#
# Revision 1.3  2005/11/18 15:28:34  ncq
# - required PostgreSQL version now raised from 7.1 to 7.3
# - Debian stable has 7.4.x so we are good to go for 7.3 *at least*
#
# Revision 1.2  2005/11/09 10:42:47  ncq
# - be more careful with others around us: install procedural language into
#   our database only if needed, not into template1
#
# Revision 1.1  2005/06/07 22:32:31  ncq
# - add localization for Canada
#
